## qt6-quick3d 6.10.2

=== src/3rdparty/embree/CMakeLists.txt ===
qt_internal_add_3rdparty_library(BundledEmbree
    STATIC
    INSTALL
    SKIP_AUTOMOC
    EXCEPTIONS
    SOURCES
        include/embree3/rtcore_builder.h
        include/embree3/rtcore.h
        include/embree3/rtcore.isph
        include/embree3/rtcore_buffer.h
        include/embree3/rtcore_quaternion.isph
        include/embree3/rtcore_scene.isph
        include/embree3/rtcore_common.h
        include/embree3/rtcore_scene.h
        include/embree3/rtcore_geometry.h
        include/embree3/rtcore_ray.h
        include/embree3/rtcore_buffer.isph
        include/embree3/rtcore_device.h
        include/embree3/rtcore_common.isph
        include/embree3/rtcore_quaternion.h
        include/embree3/rtcore_ray.isph
        include/embree3/rtcore_config.h
        include/embree3/rtcore_geometry.isph
        include/embree3/rtcore_device.isph
        common/sys/sysinfo.cpp
        common/sys/alloc.cpp
        common/sys/filename.cpp
        common/sys/library.cpp
        common/sys/thread.cpp
        common/sys/string.cpp
        common/sys/regression.cpp
        common/sys/mutex.cpp
        common/sys/condition.cpp
        common/sys/barrier.cpp
        common/math/constants.cpp
        common/simd/sse.cpp
        common/lexers/stringstream.cpp
        common/lexers/tokenstream.cpp
        common/tasking/taskschedulerinternal.cpp
        kernels/common/device.cpp
        kernels/common/stat.cpp
        kernels/common/acceln.cpp
        kernels/common/accelset.cpp
        kernels/common/state.cpp
        kernels/common/rtcore.cpp
        kernels/common/rtcore_builder.cpp
        kernels/common/scene.cpp
        kernels/common/alloc.cpp
        kernels/common/geometry.cpp
        kernels/common/scene_triangle_mesh.cpp
        kernels/geometry/primitive4.cpp
        kernels/builders/primrefgen.cpp
        kernels/bvh/bvh.cpp
        kernels/bvh/bvh_statistics.cpp
        kernels/bvh/bvh4_factory.cpp
        kernels/bvh/bvh8_factory.cpp
        kernels/bvh/bvh_collider.cpp
        kernels/bvh/bvh_rotate.cpp
        kernels/bvh/bvh_refit.cpp
        kernels/bvh/bvh_builder.cpp
        kernels/bvh/bvh_builder_morton.cpp
        kernels/bvh/bvh_builder_sah.cpp
        kernels/bvh/bvh_builder_sah_spatial.cpp
        kernels/bvh/bvh_builder_sah_mb.cpp
        kernels/bvh/bvh_builder_twolevel.cpp
        kernels/bvh/bvh_intersector1_bvh4.cpp
    PUBLIC_INCLUDE_DIRECTORIES
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
)

qt_disable_warnings(BundledEmbree)
qt_set_symbol_visibility_hidden(BundledEmbree)

if (WIN32)
    qt_disable_unicode_defines(BundledEmbree)
endif()

if (IOS)
    qt_internal_extend_target(BundledEmbree COMPILE_OPTIONS -fembed-bitcode)
endif()

# Use SSE2 only, ignore AVX/SSE4.2 for now
qt_internal_extend_target(BundledEmbree DEFINES
    EMBREE_TARGET_SSE2
    __SSE2__
    __SSE__
    EMBREE_LOWEST_ISA
    TASKING_INTERNAL
    NDEBUG
)

=== tests/auto/quick3d/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from quick3d.pro.

add_subdirectory(qquick3dperspectivecamera)
add_subdirectory(qquick3dorthographiccamera)
add_subdirectory(qquick3dfrustumcamera)
add_subdirectory(qquick3dcustomcamera)
add_subdirectory(qquick3dtexture)
add_subdirectory(qquick3dtexturedata)
add_subdirectory(qquick3dloader)
add_subdirectory(qquick3dmaterials)
add_subdirectory(qquick3ddirectionallight)
add_subdirectory(qquick3dpointlight)
add_subdirectory(qquick3dspotlight)
add_subdirectory(qquick3dnode)
add_subdirectory(qquick3dmodel)
add_subdirectory(qquick3dgeometry)
add_subdirectory(qquick3dresourceloader)
add_subdirectory(qquick3dreflectionprobe)
if (TARGET Qt::QuickTestUtilsPrivate AND TARGET Qt::QmlModelsPrivate)
    add_subdirectory(qquick3drepeater)
endif()
add_subdirectory(qquick3dlightmapio)

=== tests/auto/quick3d_visual/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from quick3d_visual.pro.
if(QT_BUILD_MINIMAL_STATIC_TESTS)
    add_subdirectory(smoketest)
    add_subdirectory(simplescene)
else()
    add_subdirectory(rendercontrol)
    if(NOT ANDROID) # QTBUG-102711
    add_subdirectory(multiwindow)
    add_subdirectory(sourceitem)
    endif()
    add_subdirectory(buffermanager)
    if(QT_FEATURE_private_tests)
        add_subdirectory(input)
        add_subdirectory(picking)
    endif()
    add_subdirectory(extension)
    add_subdirectory(updatespatialnode)
endif()

=== src/xr/quick3dxr/openxr/CMakeLists.txt ===
qt_find_package(WrapOpenXR PROVIDED_TARGETS WrapOpenXR::WrapOpenXR)
target_link_libraries(Quick3DXr PUBLIC WrapOpenXR::WrapOpenXR)
qt_find_package(EGL PROVIDED_TARGETS EGL::EGL)

qt_internal_extend_target(Quick3DXr
    SOURCES
        qopenxrplatform_p.h
        qquick3dxrmanager_openxr.cpp qquick3dxrmanager_openxr_p.h
        qabstractopenxrgraphics.cpp qabstractopenxrgraphics_p.h
        qopenxrinputmanager.cpp qopenxrinputmanager_p.h
        qquick3dxranchormanager_openxr.cpp qquick3dxranchormanager_openxr_p.h
        qopenxrhelpers.cpp qopenxrhelpers_p.h
)

# Backends

# Win32 / DX11
qt_internal_extend_target(Quick3DXr CONDITION WIN32
    SOURCES
        qopenxrgraphics_d3d11.cpp qopenxrgraphics_d3d11_p.h
        qopenxrgraphics_d3d12.cpp qopenxrgraphics_d3d12_p.h
    DEFINES
        XR_USE_PLATFORM_WIN32
        XR_USE_GRAPHICS_API_D3D11
        XR_USE_GRAPHICS_API_D3D12
    LIBRARIES
        user32
)

# Linux / glx
qt_internal_extend_target(Quick3DXr CONDITION QT_FEATURE_xcb AND QT_FEATURE_xcb_glx_plugin
    DEFINES
        XR_USE_PLATFORM_XLIB
        XR_USE_PLATFORM_XCB
)

# Linux / wayland
qt_internal_extend_target(Quick3DXr CONDITION LINUX AND QT_FEATURE_wayland
    DEFINES
        XR_USE_PLATFORM_WAYLAND
)

# Linux / egl
qt_internal_extend_target(Quick3DXr CONDITION LINUX AND QT_FEATURE_egl
    DEFINES
        XR_USE_PLATFORM_EGL
    LIBRARIES
        EGL::EGL
)

# OpenGL

qt_internal_extend_target(Quick3DXr CONDITION QT_FEATURE_opengl AND NOT QT_FEATURE_opengles2 AND NOT MACOS
    SOURCES
        qopenxrgraphics_opengl.cpp qopenxrgraphics_opengl_p.h
    DEFINES
        XR_USE_GRAPHICS_API_OPENGL
)

qt_internal_extend_target(Quick3DXr CONDITION ANDROID AND QT_FEATURE_opengles2
    SOURCES
        qopenxrgraphics_opengles.cpp qopenxrgraphics_opengles_p.h
    DEFINES
        XR_USE_GRAPHICS_API_OPENGL_ES
)

# Vulkan
qt_internal_extend_target(Quick3DXr CONDITION QT_FEATURE_vulkan
    SOURCES
        qopenxrgraphics_vulkan.cpp qopenxrgraphics_vulkan_p.h
    DEFINES
        XR_USE_GRAPHICS_API_VULKAN
)

qt_internal_extend_target(Quick3DXr CONDITION ANDROID
     DEFINES
        XR_USE_PLATFORM_ANDROID
)

if (MACOS)
    enable_language(OBJCXX)
endif ()

# macOS AND Metal && OpenXR 1.1.40 or later
qt_internal_extend_target(Quick3DXr CONDITION MACOS AND QT_FEATURE_metal
    SOURCES
        qopenxrgraphics_metal.mm qopenxrgraphics_metal_p.h
    DEFINES
        XR_USE_GRAPHICS_API_METAL
    LIBRARIES
        ${FWFoundation}
        ${FWQuartzCore}
        ${FWMetal}
)

=== debian/changelog ===
qt6-quick3d (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update ABI to 6.10.2.
  * Update d/watch to format version 5.
  * Update build-deps and deps with the info from cmake and add patch
    for assimp.
  * Update list of installed files and new binary package qml6-module-
    qtquick3d-lightmapviewer.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Feb 2026 19:22:32 +0100

qt6-quick3d (6.9.2-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Nov 2025 10:39:39 +0100

qt6-quick3d (6.9.2-4) unstable; urgency=medium

  * Team upload.
  * Update install files to install the embree related files also on x32.

 -- Pino Toscano <pino@debian.org>  Fri, 03 Oct 2025 22:40:41 +0200

qt6-quick3d (6.9.2-3) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Backport the patch from the upstream embree issue
    https://github.com/RenderKit/embree/issues/477 for the embedded copy of
    embree to fix the build on x32.

 -- Pino Toscano <pino@debian.org>  Fri, 03 Oct 2025 20:42:14 +0200

qt6-quick3d (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:10:02 +0200

qt6-quick3d (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.
  * Update ABI to 6.9.2.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Sep 2025 19:56:36 +0200

=== debian/control ===
Source: qt6-quick3d
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libassimp-dev (>= 6.0.0~),
               libegl-dev,
               libgl-dev,
               libopenxr-dev (>= 1.0.29~) [alpha amd64 arm64 armel armhf i386 m68k mips64el ppc64 ppc64el riscv64 s390x sparc64],
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-glx0-dev,
               libxcb-xkb-dev,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
               qt6-declarative-dev (>= 6.10.2+dfsg~),
               qt6-declarative-private-dev (>= 6.10.2+dfsg~),
               qt6-quick3d-dev:native <cross>,
               qt6-quicktimeline-dev (>= 6.10.2~),
               qt6-shadertools-dev (>= 6.10.2~),
               zlib1g-dev,
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-documentation-tools (>= 6.10~) <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3d
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3d.git

Package: libqt6quick3d6
Provides: qt6-quick3d-private-abi (= 6.10.2),
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D library.

Package: libqt6quick3dassetimport6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Asset Import library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Asset Import library.

Package: libqt6quick3dassetutils6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Asset Utils library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Asset Utils library.

Package: libqt6quick3dglslparser6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D GLS Parser library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D GLS Parser library.

Package: libqt6quick3diblbaker6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D IblBaker library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D IblBaker library.

Package: libqt6quick3druntimerender6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Runtime Renderer library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Runtime Renderer library.

Package: libqt6quick3dutils6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Utils library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Utils library.

Package: libqt6quick3dxr6
Architecture: alpha amd64 arm64 armel armhf i386 m68k mips64el ppc64 ppc64el riscv64 s390x sparc64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Extended Reality library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Extended Reality library.

Package: qt6-quick3d-assetimporters-plugin
Architecture: any
Multi-Arch: same
Depends: libqt6quick3d6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Quick 3D Assimp Import plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D's Assimp Import plugin.

Package: qml6-module-qtquick3d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: qml6-module-quick3d,
Replaces: qml6-module-quick3d,
Description: Qt 6 Quick 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D QML module.

Package: qml6-module-qtquick3d-assetutils
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: qml6-module-quick3d-assetutils,
Replaces: qml6-module-quick3d-assetutils,
Description: Qt 6 Quick 3D Asset Utils QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Asset Utils QML module.

Package: qml6-module-qtquick3d-effects
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6quick3deffects6, qml6-module-quick3d-effects,
Replaces: libqt6quick3deffects6, qml6-module-quick3d-effects,
Description: Qt 6 Quick 3D Effects QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Effects QML module.

Package: qml6-module-qtquick3d-helpers
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6quick3dhelpers6, qml6-module-quick3d-helpers,
Replaces: libqt6quick3dhelpers6, qml6-module-quick3d-helpers,
Description: Qt 6 Quick 3D Helpers QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Helpers QML module.

Package: qml6-module-qtquick3d-lightmapviewer
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6quick3dhelpers6, qml6-module-quick3d-helpers,
Replaces: libqt6quick3dhelpers6, qml6-module-quick3d-helpers,
Description: Qt 6 Quick 3D Lightmap Viewer QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Lightmap Viewer QML module.

Package: qml6-module-qtquick3d-materialeditor
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Material Editor QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Material Editor QML module.

Package: qml6-module-qtquick3d-particleeffects
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6quick3dparticleeffects6, qml6-module-quick3d-particleeffects,
Replaces: libqt6quick3dparticleeffects6, qml6-module-quick3d-particleeffects,
Description: Qt 6 Quick 3D Particle Effects QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Particle Effects QML module.

Package: qml6-module-qtquick3d-particles3d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6quick3dparticles6, qml6-module-quick3d-particles3d,
Replaces: libqt6quick3dparticles6, qml6-module-quick3d-particles3d,
Description: Qt 6 Quick 3D Particles 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Particles 3D QML module.

Package: qml6-module-qtquick3d-xr
Architecture: alpha amd64 arm64 armel armhf i386 m68k mips64el ppc64 ppc64el riscv64 s390x sparc64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6quick3dparticles6, qml6-module-quick3d-particles3d,
Replaces: libqt6quick3dparticles6, qml6-module-quick3d-particles3d,
Description: Qt 6 Quick 3D Extended Reality QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Extended Reality QML module.

Package: qt6-qmltooling-quick3dprofiler-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 qmltooling Quick3D profiler plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the qmltooling Quick3D profiler plugin.

Package: qt6-quick3d-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6quick3d6 (= ${binary:Version}),
         libqt6quick3dassetimport6 (= ${binary:Version}),
         libqt6quick3dassetutils6 (= ${binary:Version}),
         libqt6quick3dglslparser6 (= ${binary:Version}),
         libqt6quick3diblbaker6 (= ${binary:Version}),
         libqt6quick3druntimerender6 (= ${binary:Version}),
         libqt6quick3dutils6 (= ${binary:Version}),
         libqt6quick3dxr6 (= ${binary:Version}) [alpha amd64 arm64 armel armhf i386 m68k mips64el ppc64 ppc64el riscv64 s390x sparc64],
         qml6-module-qtquick3d (= ${binary:Version}),
         qml6-module-qtquick3d-assetutils (= ${binary:Version}),
         qml6-module-qtquick3d-effects (= ${binary:Version}),
         qml6-module-qtquick3d-helpers (= ${binary:Version}),
         qml6-module-qtquick3d-lightmapviewer (= ${binary:Version}),
         qml6-module-qtquick3d-materialeditor (= ${binary:Version}),
         qml6-module-qtquick3d-particleeffects (= ${binary:Version}),
         qml6-module-qtquick3d-particles3d (= ${binary:Version}),
         qml6-module-qtquick3d-xr (= ${binary:Version}) [alpha amd64 arm64 armel armhf i386 m68k mips64el ppc64 ppc64el riscv64 s390x sparc64],
         qt6-base-dev,
         qt6-qmltooling-quick3dprofiler-plugin (= ${binary:Version}),
         qt6-quick3d-assetimporters-plugin (= ${binary:Version}),
         qt6-quick3d-dev-tools (= ${binary:Version}),

=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/
Matching-Pattern: qtquick3d-everywhere-src-(.*)\.tar\.xz
